define([
    'Global',
    'SubHeaderView',
    'MainView',
	'AppointmentRequestListView'
],
    function (Global, SubHeaderView, MainView, AppointmentRequestListView) {
        'use strict';
        return Backbone.View.extend({
            initialize: function () {
            },

            render: function () {
                MainView
                    .instance()
                    .clearView({
		                "classesForLeftCol": "VAAC-left",
		                "classesForRightCol": "VAAC-right"
	                });

                new SubHeaderView()
                    .render({
                        subtitle: 'Veteran Requests'
                    });

	            new AppointmentRequestListView().render();

                Global.getUtilities().eventAggregator.trigger("default-view");
            },

            events: {
            }
        });
    }
);